ObjectARX

ObjectARX

Reply
Distinguished Contributor
maisoui
Posts: 131
Registered: ‎12-07-2009
Message 1 of 4 (310 Views)
Accepted Solution

How to handle Ctrl click in move grip point?

310 Views, 3 Replies
12-06-2012 05:43 AM

Hi,

 

I have a custom entity and I'd like to have a similar behavior to the polyline's displacement of the grip point. When you move a grip of a polyline, you can cycle between 3 options (stretch, add vertex and convert to line/arc). Does anyone know how to reproduce this?

 

autocad_cycle_movegrip.png

 

Regards,

Jonathan

 

--
Jonathan
ADN Support Specialist
Balaji_Ram
Posts: 693
Registered: ‎03-21-2011
Message 2 of 4 (293 Views)

Re: How to handle Ctrl click in move grip point?

12-11-2012 12:11 AM in reply to: maisoui

Hello Jonathan,

 

The multiple grip mode switching is achieved through a protocol extension implemented by the AcDbMultiModesGripPE class.

Your custom entity can implement this PE to support this functionality.

 

I have attached a .Net sample from the Developer Days 2010 samples.

This sample demonstrates the use of MultiModesGripPE which is the .Net equivalent of AcDbMultiModesGripPE.

 

I dont have an ObjectARX sample for it, but the attached sample should provide you with the steps.



Balaji
Developer Technical Services
Autodesk Developer Network

Distinguished Contributor
maisoui
Posts: 131
Registered: ‎12-07-2009
Message 3 of 4 (289 Views)

Re: How to handle Ctrl click in move grip point?

12-11-2012 12:34 AM in reply to: Balaji_Ram

Thank you for your answer. I was on the way to implement your solution, but it seems that AcDbMultiModesGripPE (dbMultiModesGrip.h) was introduced in OARX 2011 or 2012. Right?

unfortunately I can't use this protocol extension because I use OARX 2010 (necessary to consider all my clients).

 

In addition to your response, I would like to know if there is a document containing the list of all protocol extensions available in SDK?

 

Regards,

Jonathan

 

--
Jonathan
ADN Support Specialist
Balaji_Ram
Posts: 693
Registered: ‎03-21-2011
Message 4 of 4 (281 Views)

Re: How to handle Ctrl click in move grip point?

12-11-2012 02:45 AM in reply to: maisoui

Yes,  you are right. This was introduced in OARX 2011.

 

Sorry, I am not aware of any separate documentation on PE classes.

The arxdoc.chm also includes those classes.



Balaji
Developer Technical Services
Autodesk Developer Network

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.